Skip to main content
`Ctrl`+`K`

# SVDSetFromOptions

Sets `SVD` options from the options database. This routine must be called before `SVDSetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetFromOptions(SVD svd)

Collective

## Input Parameter

- svd - the singular value solver context

## Note

To see all options, run your program with the `-help` option.

## See Also

SVD: Singular Value Decomposition, `SVDSetOptionsPrefix()`

## Level

beginner

## Location

src/svd/interface/svdopts.c

## Examples

src/svd/tutorials/ex53.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex45.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex8.c

## Implementations

SVDSetFromOptions_Cross() in src/svd/impls/cross/cross.c
SVDSetFromOptions_Cyclic() in src/svd/impls/cyclic/cyclic.c
SVDSetFromOptions_KSVD() in src/svd/impls/external/ksvd/svdksvd.c
SVDSetFromOptions_PRIMME() in src/svd/impls/external/primme/svdprimme.c
SVDSetFromOptions_Lanczos() in src/svd/impls/lanczos/gklanczos.c
SVDSetFromOptions_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages